CatalogPrice Lists
List price lists
Returns price lists with scope, rules and prices; accepts a productId filter.
Query Parameters
productId?string
Identifier of the product.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/catalog/price-lists" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004321823", "name": "Mayoristas", "currency": "PEN", "isActive": true, "priority": 1, "scope": "AllProducts", "customerId": "7204558912004326262", "productId": "7204558912004322039", "productIds": [ "7204558912004322039" ], "categoryIds": [ "7204558912004327982" ], "tags": [ "algodón" ], "excludedProductIds": [ "7204558912004327925" ], "validFrom": "2026-09-28T15:30:00Z", "validTo": "2026-09-28T15:30:00Z", "items": [ { "id": "7204558912004321823", "variantId": "7204558912004323197", "unitPrice": 89, "compareAtPrice": 99, "breaks": [ { "minQuantity": 2, "unitPrice": 89 } ] } ], "rules": [ { "minQuantity": 2, "maxQuantity": 2, "discountType": "Mayoristas", "value": 1 } ] }]